練功房推薦書單

  • 猛虎出柙雙劍合璧版--最新 OCA / OCP Java SE 7 Programmer 專業認證 (電子書)
  • 流浪教師存零股存到3000萬(全新增修版)(書+DVD)
  • 開始在關西自助旅行(京都‧大阪‧神戶‧奈良)(全新增訂版)
  • 不敗教主的300張股票存股術
在CentOS4上安裝Oracle9i 9.2.0.4 缺檔compat-oracle-rhel4-1.0-5.i386.rpm compat-libcwait-2.1-1.i386.rpm的下載處 RSS feed
Forum Index » Oracle Database
Author Message
andowson

七段學員
[Avatar]

Joined: 2007/1/2
Messages: 707
Location: 台北
Offline
在CentOS 4.x上安裝Oracle9i Database Release 2 (9.2.0.4.0) for Linux x86時,依照Oracle文件的說明,必須到Metalink下載patch 4198954,以取得以下兩個套件才行:
compat-oracle-rhel4-1.0-5.i386.rpm
compat-libcwait-2.1-1.i386.rpm

如果沒有安裝在執行runInstaller時將會遇到下列的錯誤訊息:
symbol __libc_wait, version GLIBC_2.0 not defined in file libc.so.6 with link time reference


由於沒有OracleMetalink的帳號,勢必無法下載到patch,如此一來,安裝資料庫的任務便等著失敗了。

還好,在網路上找到資料,原來Oracle把這些檔案也放在網路上,供大家下載,網址如下:
http://oss.oracle.com/projects/compat-oracle/dist/files/RedHat/compat-libcwait-2.1-1.i386.rpm
http://oss.oracle.com/projects/compat-oracle/dist/files/RedHat/compat-oracle-rhel4-1.0-5.i386.rpm

下載並安裝後,果然就可以執行runInstaller了。

參考資料:
http://www.oracle-base.com/articles/9i/Oracle9iInstallationOnRedHatAS4AndCentos4.php
http://www.linuxsir.org/bbs/thread232668.html

分享經驗 累積智慧
[WWW] [MSN]
 
Forum Index » Oracle Database
Go to:   
Mobile view